# csc

сomputes the element-wise cosecant of the argument

## Calling Sequence

    y = csc(x)

## Arguments

x

  a real or complex array.

y

  a real or complex array with same dimensions as `x`.

## Description

Computes the element-wise cosecant of the argument. The cosecant is a periodic function defined as 1/\sin(x). For real data the results are real and in ]-\infty -1] \cup [1 \infty[.

## Sample

x=linspace(0.01,%pi-0.01,200) plot(-x,csc(-x),x,csc(x))

## Examples

    x=linspace(0.01,%pi-0.01,200)
    clf();
    plot(-x,csc(-x),x,csc(x))

## See Also

- sec
- cscd